#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned int a,b,x,y;
    scanf("%u%u%u%u",&a,&b,&x,&y);
    if(a==x&&b>y){
        printf("drugi");
    }
    if(a>x&&b==y){
        printf("prvi");
    }
    if(a==x&&b==y){
        printf("nijedan");
    }
    if(a>x&&b>y){
        printf("?");
    }
    return 0;
}